Bug 114207 - TemplateResolver needs to be able to look for templates in multiple directories
TemplateResolver needs to be able to look for templates in multiple directories
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 18:30 EST by Dennis Gregorovic
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2004-01-23 18:30:49 EST
Underlying problem
------------------
p2fs must publish templates to the webapp root

Why this is a problem
---------------------
This prevents us from deploying CMS as a WAR.  Also, the webapp
directory name is hard-coded, and therefore brittle.  Finally,
depending on the security model of the servlet container, we may not
be able to write to the webapp directory.

How to fix it
-------------
Currently, TemplateResolver only looks in one directory when searching
for templates.  Since the default templates live in
webapps/ROOT/packages/content-section/templates, the Template Resolver
uses that directory.  Therefore, dynamically published templates must
be written to that directory in order to be found.  One solution is to
extend Template Resolver to use two paths - one for default templates
and one for dynamic templates.  Then, the directory for dynamic
templates could be outside of the webapp root.  

Thanks to Dan for pointing out the problem and the possible solution.
Comment 1 Jon Orris 2006-09-05 13:41:34 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.